Package be.fgov.ehealth.certra.core.v2

# Class OrganizationIdentifierType

java.lang.Object
be.fgov.ehealth.certra.core.v2.OrganizationIdentifierType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:10:04+02:00", comments="JAXB RI v4.0.5") public class OrganizationIdentifierType extends Object implements Serializable
Describes the details of an identifier type that can be used by organizations. An identifier has a unique type name and a human readable name in at least one language. Some identifiers have to follow a certain pattern and logic, in those cases the legal values are described through a regular expression and "check digit" algorithm.

Java class for OrganizationIdentifierType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="OrganizationIdentifierType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="Name" type="{urn:be:fgov:ehealth:certra:core:v2}TextType"/>
             <element name="IdentifierType" type="{http://www.w3.org/2001/XMLSchema}anyURI"/>
             <element name="ValidationRegEx" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="CheckDigitAlgorithm" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
             <element name="AvailableBaseService" type="{http://www.w3.org/2001/XMLSchema}string" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `OrganizationIdentifierType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getAvailableBaseServices()`
  A list of eHealth base services for which this type of organization is authorized to request access.
  `List<String>`
  `getCheckDigitAlgorithms()`
  The type of algorithm that must be applied when checking if an identifier of an organization is valid for this type of organization.
  `String`
  `getIdentifierType()`
  Gets the value of the identifierType property.
  `TextType`
  `getName()`
  Gets the value of the name property.
  `String`
  `getValidationRegEx()`
  A regular expression that can be used to validate if the value of an organization identifier has the correct structure.
  `void`
  `setIdentifierType(String value)`
  Sets the value of the identifierType property.
  `void`
  `setName(TextType value)`
  Sets the value of the name property.
  `void`
  `setValidationRegEx(String value)`
  Sets the value of the validationRegEx property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### OrganizationIdentifierType

    public OrganizationIdentifierType()

- ## Method Details

  - ### getName

    public TextType getName()
    Gets the value of the name property.
    Returns:
      possible object is `TextType`

  - ### setName

    public void setName(TextType value)
    Sets the value of the name property.
    Parameters:
      `value` - allowed object is `TextType`

  - ### getIdentifierType

    public String getIdentifierType()
    Gets the value of the identifierType property.
    Returns:
      possible object is `String`

  - ### setIdentifierType

    public void setIdentifierType(String value)
    Sets the value of the identifierType property.
    Parameters:
      `value` - allowed object is `String`

  - ### getValidationRegEx

    public String getValidationRegEx()
    A regular expression that can be used to validate if the value of an organization identifier has the correct structure. The regular expression will use the Java syntax.
    Returns:
      possible object is `String`

  - ### setValidationRegEx

    public void setValidationRegEx(String value)
    Sets the value of the validationRegEx property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getValidationRegEx()`

  - ### getCheckDigitAlgorithms

    public List<String> getCheckDigitAlgorithms()
    The type of algorithm that must be applied when checking if an identifier of an organization is valid for this type of organization. The list of possible check digit algorithms is described in the cook book and may be updated in the future. If no check digit is present than any value should be considered valid. Gets the value of the checkDigitAlgorithms property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the checkDigitAlgorithms property.

    For example, to add a new item, do as follows:

         getCheckDigitAlgorithms().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the checkDigitAlgorithms property.

  - ### getAvailableBaseServices

    public List<String> getAvailableBaseServices()
    A list of eHealth base services for which this type of organization is authorized to request access. The list of services which you want to use with a certificate can be specified as part of the GenerateCertificate request but only services listed here will be accepted for this organization type. Gets the value of the availableBaseServices property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the availableBaseServices property.

    For example, to add a new item, do as follows:

         getAvailableBaseServices().add(newItem);

    Objects of the following type(s) are allowed in the list `String`

    Returns:
      The value of the availableBaseServices property.